Bug 88602 - chkconfig gets confused by LSB init script header information
chkconfig gets confused by LSB init script header information
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 06:13 EDT by Lenz Grimmer
Modified: 2014-03-16 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-04 06:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lenz Grimmer 2003-04-11 06:13:35 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux; i686) 
 
Description of problem: 
I tried to reopen bug #76024 since it seems to be the same issue, but it seems like I 
did not have the required permissions to do so. Therefore I open a new bug report 
about this: 
 
It seems like that chkconfig still gets confused when both the chkonfig header and the 
LSB header are present - I currently face this problem while trying to provide an init 
script for MySQL that supports both chkconfig (e.g. Red Hat and deratives or 
Mandrake Linux), but also LSB conformant distributions (e.g. SuSE and United Linux). 
 
Currently, our init script has the following header information:  
  
[SNIP]  
# Comments to support chkconfig on RedHat Linux  
# chkconfig: 2345 90 90  
# description: A very fast and reliable SQL database engine.  
  
# Comments to support LSB init script conventions  
### BEGIN INIT INFO  
# Provides: mysql  
# Required-Start: $local_fs $network $remote_fs  
# Required-Stop: $local_fs $network $remote_fs  
# Default-Start:  2 3 4 5  
# Default-Stop: 2 3 4 5  
# Short-Description: start and stop MySQL  
# Description: MySQL is a very fast and reliable SQL database engine.  
### END INIT INFO  
[SNIP]  
  
As you can see, both headers define run levels 2-5 for starting MySQL. However,  
"chkconfig --add" only adds it to run level 2 and 4:  
  
# chkconfig --list mysql  
service mysql supports chkconfig, but is not referenced in any runlevel (run 'chkconfig  
--add mysql')  
# chkconfig --add mysql  
# chkconfig --list mysql  
mysql           0:off   1:off   2:on   3:off   4:on   5:off   6:off  
  
If I remove the LSB header part, it adds it to the approriate run levels.  
If I remove the chkconfig headers and only keep the LSB headers, it does not add  
it to any run level at all:  
  
# chkconfig --list mysql  
service mysql supports chkconfig, but is not referenced in any runlevel (run 'chkconfig  
--add mysql')  
# chkconfig --add mysql  
# chkconfig --list mysql  
service mysql supports chkconfig, but is not referenced in any runlevel (run 'chkconfig  
--add mysql')  
  
It seems to me as if the LSB support is not fully functional yet. I'd appreciate, if you 
could investigate this. Thanks! 
 
Version-Release number of selected component (if applicable): 
chkconfig-1.3.8-1 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Add the header information mentioned above to an init script 
2. run chkconfig --add <script> 
3. run chkconfig --list <script> and observe the wrong run levels being used. 
     
 
Actual Results:  chkconfig does not activate the init script at the desired run levels 
 
Expected Results:  chkconfig should activate the init script at the correct run levels 
 
Additional info: 
 
See bug #76024 for a similar report
Comment 1 Lenz Grimmer 2003-07-04 06:28:55 EDT
Update: it seems like I've found a solution to this problem. The LSB
spec was not really clear about the "Default-Stop:" variable.

See http://bugs.mysql.com/bug.php?id=272 for the solution - I consider
this one resolved as "fixed upstream".

Note You need to log in before you can comment on or make changes to this bug.